Subject: Re: bug#23200: XFCE: selecting a style has no effect

From: [email-masked] (Ludovic Courtès)
Date: Tue, 05 Apr 2016 10:11:01 +0200

Jookia <[email-masked]> skribis:

> On Mon, Apr 04, 2016 at 09:19:47PM -0700, Chris Marusich wrote:
>> [email-masked] (Ludovic Courtès) writes:
>> 
>> > [email-masked] (Ludovic Courtès) skribis:
>> >
>> >> I’ve tested that with this patch changing colors under the “Style” tab
>> >> in Xfce does have an effect.
>> >>
>> >> I’ll commit it shortly if there are no objections.
>> >
>> > Pushed a slightly different version as
>> > ae05e366bea4517f1e428799f00f11997ccef661.
>> 
>> This fixed the issue for me.  Thanks!
>> 
>> -- 
>> Chris
>
> I heavily disagree with this approach for two reasons:
>
> 1) It doesn't work with user theme installs.

Right, it’s mostly a hack to fix the immediate issue, which probably
covers many use cases since ‘xfce-desktop-service’ and
‘gnome-desktop-service’ install things globally.

> 2) I have a patch that fixes this problem completely.
> 3) The fix I provided has been duplicated upstream in GTK+.
>
> I suggest reverting this and applying my patch and read the full breakdown of
> the issue and solution here:
>
> https://lists.gnu.org/archive/html/guix-devel/2016-03/msg00492.html

Oh, I had overlooked this one, sorry about that!

Ricardo raised some concerns in that thread, namely that the patch
hard-codes a specific profile name as well.  Did you have a chance to
look into it?

Thanks for the heads-up, and my apologies for overlooking it!

Ludo’.